Back to Top

Modified firmware and version conflict

10 posts / 0 new
Last post
bouyark
Offline
Last seen: 9 years 7 months ago
Joined: 01/29/2009 - 22:52
Modified firmware and version conflict

I have been using modified firmware version (Haykuro's Magic ROM 5.0.1Gr4 regular) on my T mobile G1. http://sharebee.com/d3d65a1b
The only version of dogcatcher that will work on the G1 is version 1.1.570.
Every other version installed (1.1.587 or 1.1.608) crashes.
Do you have any suggestion or help as to why these versions will download and install but crashes when attempting to launch?

eric
Offline
Last seen: 9 months 2 weeks ago
Joined: 11/06/2008 - 22:02
Logfile

I would start by capturing the log. Take a look at the logcat app in the FAQ - http://www.snoggdoggler.com/?q=node/8

Let the app crash, then snag a log and email it to me. There should be some clues in there.

bouyark
Offline
Last seen: 9 years 7 months ago
Joined: 01/29/2009 - 22:52
Unable to capture log

I am unable to capture the log. This is the error message when I attempt to star DoggCatcher:

"The application DoggCatcher (process com.snoggdoggler.android.applications.doggcatcher.v1_0) has stopped unexpectedly. Please try again".

My only option is is to force close the application.

eric
Offline
Last seen: 9 months 2 weeks ago
Joined: 11/06/2008 - 22:02
Logcat

Without the log file we are going to be shooting in the dark trying to figure out what's happening. Can you tell me the problem that you are having with logcat? I realized that unless you have root on your phone, you're not going to be able to send me the log file but you will be able to view the log. That should give you a good indication of the source of the error.

bouyark
Offline
Last seen: 9 years 7 months ago
Joined: 01/29/2009 - 22:52
Logcat

Thanks for your quick response. I do have root on this G1. I've e mailed you the log file which I am able to do using version 1.1.570. I cannot send you the log file using any other version because every attempt to start the application, produces the error message I indicated earlier. In other words, I am unable to open the application using any other version but 1.1.570. I hope I am giving a better description of the problem as well the log file I e mailed in order to assist you in trouble shooting.
Thanks again for your timely response.

eric
Offline
Last seen: 9 months 2 weeks ago
Joined: 11/06/2008 - 22:02
Logfile

I was just looking through the log that you sent and I didn't see any problems with DC. That matches with what you just describe.

The only way I expect us to be able to get the log that contains that errors during startup that we are looking for is to use logcat (there's a link in the faq). What you will do is start logcat, then start DC. The errors will go to the log. Then go back to logcat and save the log. As root you should be able to get to the log and email it to me.

An alternative is to wait until I do testing on cupcake, which I'll probably start pretty soon. That will narrow it down to either a problem that is related to the changes in cupcake or an issue with the Haykuro rom.

bouyark
Offline
Last seen: 9 years 7 months ago
Joined: 01/29/2009 - 22:52
Following your instructions,

Following your instructions, I emailed you the log using logcat. If this isn't the log then I will wait until you complete your testing with cupcake. Thanks again for your support.

eric
Offline
Last seen: 9 months 2 weeks ago
Joined: 11/06/2008 - 22:02
Darkjz's comment

I looked at the log and when DC is starting up, it can't find the preferences, which are stored in an xml file on the internal storage.

I'll be testing 1.5 soon to see if it's a problem with 1.5 or just haykuro's rom.

In the mean time I would suggest doing what Darkjz said if you haven't already. The problem you are having sounds similar to what I saw with the copy protection. Darkjz's comment relates to being authenticated to google...seems like there might be a connection.

darkjz
Offline
Last seen: 10 years 12 months ago
Joined: 02/21/2009 - 15:45
Maybe this will Help...

Hi Bouyark!

I have the same firmware than you and had the same problem. In my case it was that when I first installed the (Haykuro's Magic ROM 5.0.1Gr4) firmware I hit the skip button and didn't put my google account info on the phone. After I linked my phone to my google account just had to re-install doggcatcher and voila! Running currently in last version.

Let me know if that helps!

-DarkJZ

ciaranastuart
Offline
Last seen: 11 years 3 months ago
Joined: 10/01/2009 - 05:55
You can currently move the

You can currently move the feeds up/down to get them in the right order (meaning the order they will display and play in the playlist). The beta testers are working on a filtering feature for the feeds that filters on audio/video/news/new and in progress. It will be in the next release to the market and may help. I also intend to add user defined categories for each feed that you will be able to filter on.

Video problems - That's a good point, . If you can post the urls that you are having a problem with, I'll test them and see if I can get DC to display something that may help identify the problem.

Adding a feed causes all feeds to update - If I understand you correctly, you are saying that when you add a feed, all the feeds are put in the queue to update (they have 'queued' displayed next to them). If that's correct, please let me know which version number you are using. There was a bug that caused this to happen but it was fixed months ago.

Also many thanks for this useful information which you have presenting online. It is very valuable resource for me. I just have finished my 70-297 exam which i had given for attaining the certification. Although! it was so hard to get certified but I was well prepared for it. Frankly speaking this kept me a lot busy for last two months. I have also attained the certification of another course of 70-443 exam which I had passed six months back. Meanwhile I have completed my thesis of 70-444 exam which I will submit soon. I really like your website and want to visit it again.